﻿DECLARE @@dockcode varchar(10)=@0

SELECT 
	MANIFEST_NO ManifestNo,
	DOCK_CD DockCode,
	ARRIVAL_ACTUAL_DT,
	isnull(SUPPLIER_CD, '----') SupplierCode
FROM 
	TB_R_DAILY_ORDER_MANIFEST
	
WHERE  
	(CONVERT(VARCHAR(8),ARRIVAL_ACTUAL_DT , 112) = CONVERT(VARCHAR(8), GETDATE() , 112) OR
	CONVERT(VARCHAR(8),ARRIVAL_ACTUAL_DT , 112) = CONVERT(VARCHAR(8), GETDATE()-1 , 112) OR
	CONVERT(VARCHAR(8),ARRIVAL_ACTUAL_DT , 112) = CONVERT(VARCHAR(8), GETDATE()-2 , 112))
	AND APPROVED_DT IS NULL 
	AND DOCK_CD = @@dockcode 